Skip to main content
GET
/
v1
/
campaign
/
{campaignId}
Get a single campaign
curl --request GET \
  --url https://openapi.enginy.ai/v1/campaign/{campaignId} \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "name": "<string>",
    "steps": [
      {
        "type": "email",
        "subject": "<string>",
        "content": "<string>",
        "delay": {
          "value": 1,
          "unit": "seconds"
        }
      }
    ],
    "id": 123,
    "status": "DRAFT",
    "createdBy": {
      "id": 123,
      "name": "<string>"
    },
    "crmOwnerId": "<string>",
    "senderIdentity": {
      "id": 123,
      "name": "<string>"
    },
    "folderId": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "identityId": 123,
    "shouldAutomaticallySend": true,
    "shouldSendTrackingPixel": true,
    "shouldTrackEmailLinks": true,
    "excludeContactedLeads": true,
    "allowedEmails": [
      "jsmith@example.com"
    ]
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

campaignId
string
required

The campaign ID

Response

Campaign retrieved successfully

status
enum<string>
required
Available options:
success
message
string
required
data
object
required